Bug 84855 - ypbind startup script should wait for pcmcia to bring up network
ypbind startup script should wait for pcmcia to bring up network
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ypbind (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-21 22:51 EST by Eugene Kanter
Modified: 2007-04-18 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:42:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2003-02-21 22:51:53 EST
Description of problem:

For laptop configuration /etc/rc.d/init.d/ypbind starts soon after pcmcia.
Inserting "ifconfig" in ypbind shows that eth0 is not up when ypbind starts.

Version-Release number of selected component (if applicable):

ypbind-1.11-4

How reproducible:

always

Steps to Reproduce:
1. install on a notebook, configure DHCP, run authconfig and enable NIS.
2. reboot.

    
Actual results:

ypbind can not find NIS server.

Expected results:

ypbind finds NIS server.

Additional info:

"sleep 10" helps, but probably more intelligent solution is needed.
Comment 1 Bill Nottingham 2006-08-04 23:52:32 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 13:42:58 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.
Comment 4 Eugene Kanter 2007-01-02 15:54:39 EST
Bill, I am running Fedora core 6 currently. I'll need to recreate environment
and test if this is still applicable.

But generally speaking ypbind startup script must be more robust and should not
take a very long time waiting for NIS server reply if NIS server is not available.

Note You need to log in before you can comment on or make changes to this bug.